Bug 831475 - fop config file not found (OSX Lion 10.7.4)
fop config file not found (OSX Lion 10.7.4)
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Darrin Mison
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 01:25 EDT by Darrin Mison
Modified: 2012-10-30 23:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darrin Mison 2012-06-13 01:25:30 EDT
Description of problem:
PDF won't build on OSX due to missing fop config file

"java.io.FileNotFoundException: /opt/local/share/publican/fop/fop.xconf (No such file or directory)"

Version-Release number of selected component (if applicable):
publican 3 built from git master on OSX Lion 10.7.4 following instructions at https://fedorahosted.org/publican/wiki/Installing_OSX


How reproducible:
everytime :-)

Steps to Reproduce:
1. publican create book -name testbook
2. cd testbook
3. publican build --langs=en-US --formats=pdf
  
Actual results:
Sekhmet:testbook tabby$ publican build --langs=en-US --formats=pdf
Setting up en-US
	Processing file tmp/en-US/xml/Common_Content/Conventions.xml -> tmp/en-US/xml/Common_Content/Conventions.xml
	Processing file tmp/en-US/xml/Common_Content/Feedback.xml -> tmp/en-US/xml/Common_Content/Feedback.xml
	Processing file tmp/en-US/xml/Common_Content/Legal_Notice.xml -> tmp/en-US/xml/Common_Content/Legal_Notice.xml
	Processing file tmp/en-US/xml/Common_Content/Program_Listing.xml -> tmp/en-US/xml/Common_Content/Program_Listing.xml
	Processing file tmp/en-US/xml/Common_Content/Revision_History.xml -> tmp/en-US/xml/Common_Content/Revision_History.xml
*WARNING: Unvalidated tag: 'info'. This tag may not be displayed correctly, may generate invalid xhtml, or may breach Section 508 Accessibility standards.
	Processing file tmp/en-US/xml_tmp/Author_Group.xml -> tmp/en-US/xml/Author_Group.xml
	Processing file tmp/en-US/xml_tmp/Book_Info.xml -> tmp/en-US/xml/Book_Info.xml
	Processing file tmp/en-US/xml_tmp/Chapter.xml -> tmp/en-US/xml/Chapter.xml
	Processing file tmp/en-US/xml_tmp/Preface.xml -> tmp/en-US/xml/Preface.xml
	Processing file tmp/en-US/xml_tmp/Revision_History.xml -> tmp/en-US/xml/Revision_History.xml
	Processing file tmp/en-US/xml_tmp/testbook.xml -> tmp/en-US/xml/testbook.xml
Beginning work on en-US
DTD Validation OK
	Starting pdf
	Using XML::LibXSLT on /opt/local/share/publican/xsl/pdf.xsl
Making portrait pages on A4 paper (210mmx297mm)

USAGE
fop [options] [-fo|-xml] infile [-xsl file] [-awt|-pdf|-mif|-rtf|-tiff|-png|-pcl|-ps|-txt|-at [mime]|-print] <outfile>
 [OPTIONS]  

...
<snipped rest of fop help message>
...


Jun 13, 2012 2:33:02 PM org.apache.fop.cli.Main startFOP
SEVERE: Exception
java.io.FileNotFoundException: /opt/local/share/publican/fop/fop.xconf (No such file or directory)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:120)
	at java.io.FileInputStream.<init>(FileInputStream.java:79)
	at sun.net.www.protocol.file.FileURLConnection.connect(FileURLConnection.java:70)
	at sun.net.www.protocol.file.FileURLConnection.getInputStream(FileURLConnection.java:161)
	at org.apache.xerces.impl.XMLEntityManager.setupCurrentEntity(Unknown Source)
	at org.apache.xerces.impl.XMLVersionDetector.determineDocVersion(Unknown Source)
	at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
	at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
	at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
	at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
	at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
	at org.apache.avalon.framework.configuration.DefaultConfigurationBuilder.buildFromFile(DefaultConfigurationBuilder.java:186)
	at org.apache.fop.apps.FopFactoryConfigurator.setUserConfig(FopFactoryConfigurator.java:248)
	at org.apache.fop.apps.FopFactory.setUserConfig(FopFactory.java:656)
	at org.apache.fop.cli.CommandLineOptions.setUserConfig(CommandLineOptions.java:997)
	at org.apache.fop.cli.CommandLineOptions.parse(CommandLineOptions.java:168)
	at org.apache.fop.cli.Main.startFOP(Main.java:158)
	at org.apache.fop.cli.Main.main(Main.java:205)

FOP error, PDF generation failed. Check log for details.
 at /opt/local/bin/publican line 820
Sekhmet:testbook tabby$ 


Expected results:
a pdf in tmp/en-US/pdf/

Additional info:
Comment 1 Jeff Fearn 2012-09-13 00:41:12 EDT
Re-added fop cfg file.

To ssh://git.fedorahosted.org/git/publican.git
   d57ac25..bc11c60  master -> master
Comment 2 Misty Stanley-Jones 2012-10-03 20:38:22 EDT
Darrin, please confirm this is no longer an issue with Publican 3.0.
Comment 3 Darrin Mison 2012-10-18 19:38:37 EDT
Verified: Error no longer occurs and PDF is created.  Publican 3.0 on OSX v10.8.2

Note You need to log in before you can comment on or make changes to this bug.